package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.projectV2.ZsyzShqxPzMapper;
import com.ruoyi.system.domain.projectV2.ZsyzShqxPz;
import com.ruoyi.system.service.projectV2.IZsyzShqxPzService;

/**
 * 招商引资_审核期限_配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-02-27
 */
@Service
public class ZsyzShqxPzServiceImpl implements IZsyzShqxPzService 
{
    @Autowired
    private ZsyzShqxPzMapper zsyzShqxPzMapper;

    /**
     * 查询招商引资_审核期限_配置
     * 
     * @param id 招商引资_审核期限_配置主键
     * @return 招商引资_审核期限_配置
     */
    @Override
    public ZsyzShqxPz selectZsyzShqxPzById(Long id)
    {
        return zsyzShqxPzMapper.selectZsyzShqxPzById(id);
    }

    /**
     * 查询招商引资_审核期限_配置列表
     * 
     * @param zsyzShqxPz 招商引资_审核期限_配置
     * @return 招商引资_审核期限_配置
     */
    @Override
    public List<ZsyzShqxPz> selectZsyzShqxPzList(ZsyzShqxPz zsyzShqxPz)
    {
        return zsyzShqxPzMapper.selectZsyzShqxPzList(zsyzShqxPz);
    }

    /**
     * 新增招商引资_审核期限_配置
     * 
     * @param zsyzShqxPz 招商引资_审核期限_配置
     * @return 结果
     */
    @Override
    public int insertZsyzShqxPz(ZsyzShqxPz zsyzShqxPz)
    {
        zsyzShqxPz.setCreateTime(DateUtils.getNowDate());
        return zsyzShqxPzMapper.insertZsyzShqxPz(zsyzShqxPz);
    }

    /**
     * 修改招商引资_审核期限_配置
     * 
     * @param zsyzShqxPz 招商引资_审核期限_配置
     * @return 结果
     */
    @Override
    public int updateZsyzShqxPz(ZsyzShqxPz zsyzShqxPz)
    {
        zsyzShqxPz.setUpdateTime(DateUtils.getNowDate());
        return zsyzShqxPzMapper.updateZsyzShqxPz(zsyzShqxPz);
    }

    /**
     * 批量删除招商引资_审核期限_配置
     * 
     * @param ids 需要删除的招商引资_审核期限_配置主键
     * @return 结果
     */
    @Override
    public int deleteZsyzShqxPzByIds(Long[] ids)
    {
        return zsyzShqxPzMapper.deleteZsyzShqxPzByIds(ids);
    }

    /**
     * 删除招商引资_审核期限_配置信息
     * 
     * @param id 招商引资_审核期限_配置主键
     * @return 结果
     */
    @Override
    public int deleteZsyzShqxPzById(Long id)
    {
        return zsyzShqxPzMapper.deleteZsyzShqxPzById(id);
    }
}
